"""UI elements for the npytabletracker application."""
import npyscreen

from npytabletracker.cmd import ManagementActionController
from npytabletracker.data import TableState


class TableTrackerDisplay(npyscreen.FormMuttActiveTraditional):
    """Create the high level form, which is organized like mutt/irssi."""

    ACTION_CONTROLLER = ManagementActionController
    DATA_CONTROLER = TableState
